org.richfaces.component.behavior

## Enum ClientValidatorImpl.Properties

- java.lang.Object
- - java.lang.Enum<ClientValidatorImpl.Properties>
  - - org.richfaces.component.behavior.ClientValidatorImpl.Properties

- All Implemented Interfaces:
    Serializable, Comparable<ClientValidatorImpl.Properties>
  Enclosing class:
    ClientValidatorImpl

      protected static enum ClientValidatorImpl.Properties
      extends Enum<ClientValidatorImpl.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `oninvalid`
    `onvalid`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientValidatorImpl.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClientValidatorImpl.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### onvalid

          public static final ClientValidatorImpl.Properties onvalid

    - #### oninvalid

          public static final ClientValidatorImpl.Properties oninvalid

  - ### Method Detail

    - #### values

          public static ClientValidatorImpl.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientValidatorImpl.Properties c : ClientValidatorImpl.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClientValidatorImpl.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All rights reserved.